@rem ***************************************************************************
@rem Licensed Materials - Property of IBM
@rem (c) Copyright IBM Corporation 2019. All Rights Reserved.
@rem
@rem Note to U.S. Government Users Restricted Rights: 
@rem Use, duplication or disclosure restricted by GSA ADP Schedule 
@rem Contract with IBM Corp.
@rem ***************************************************************************
@echo off

echo ****************** Rhapsody iFix Post Installation ********************
setlocal EnableDelayedExpansion

if [%1]==[] (
	echo Usage: post_install ^<Rhapsody architecture:32bit/64bit^> ^<Rhapsody version: e.g. 8.4^>
	goto finish
)

set ARCH=%1
set VER=%2

rem rhapsody common dir is under wow6432Node only if system is 64 bit and rhapsody installation was 32 bit

set RegQry=HKLM\Hardware\Description\System\CentralProcessor\0
%SystemRoot%\System32\REG.exe Query %RegQry% | %SystemRoot%\System32\FindSTR /C:"x86" >nul & IF  ERRORLEVEL 1 (
	set OS=x64
) else (
	set OS=x86
)
rem echo OS Arhitecture is %OS%

rem get registry values for rhapsody executable
set REGKEY="HKEY_LOCAL_MACHINE\SOFTWARE\Telelogic\Rhapsody\%VER%"
if %ARCH%==32bit (
	if %OS%==x64 (
		set REGKEY="HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Telelogic\Rhapsody\%VER%"
	)
)

set REGVALUE="InstallationDirectory"
For /F "Tokens=2*" %%A In ('%SystemRoot%\System32\reg query "%REGKEY%" /v %REGVALUE%  ^| %SystemRoot%\System32\Find /I  %REGVALUE% ') do Call Set RHPPath=%%B
echo Rhapsody path is:
echo 	"%RHPPath%"

call "%RHPPath%Rhapsody.exe" /RegServer
if errorlevel 0 (
	echo Rhapsody updated registry
	) else (
	echo Error registring Rhapsody
)

:finish
ENDLOCAL 
echo ************ Rhapsody iFix Post Installation Finished *****************